Bug 1119204 - Build using system PCSC libraries
Summary: Build using system PCSC libraries
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 09:14 UTC by Severin Gehwolf
Modified: 2017-08-08 11:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 11:47:25 UTC


Attachments (Terms of Use)
Proposed spec-file patch (2.47 KB, patch)
2014-07-14 09:21 UTC, Severin Gehwolf
no flags Details | Diff

Description Severin Gehwolf 2014-07-14 09:14:59 UTC
Description of problem:
Currently, java-1.7.0-openjdk packages use an in-tree version of the PCSC subsystem (javax.smartcardio package). As of 2.5.0 of the IcedTea forest it is possible to choose between system and in-tree. We should switch to the system PCSC version. This would ensure that if there is an incompatible library bump we would notice it during builds, not only at runtime (note: the in-tree version uses dlopen() in order initialize the native PC/SC subsystem).

Version-Release number of selected component (if applicable):
java-1.7.0-openjdk-1.7.0.60-2.5.0.3.fc20

Comment 1 Severin Gehwolf 2014-07-14 09:21:40 UTC
Created attachment 917709 [details]
Proposed spec-file patch

This will introduce a new static dependency on pcsc-lite-libs. On the other hand, javax.smartcardio API has no way of working without it or a similar library which can be dlopen()'ed being installed.

Scratch build with this patch applied is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7128866

Comment 2 Fedora End Of Life 2015-05-29 12:21:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Severin Gehwolf 2015-06-05 10:11:52 UTC
Re-targeting for newer release as it applies for it as well.

Comment 4 Fedora End Of Life 2016-07-19 11:55:28 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Fedora End Of Life 2017-07-25 18:40:55 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 11:47:25 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.